=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~)
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Git: https://invent.kde.org/neon/kde/kpkpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpkpass
Maintainer: Neon CI <neon@kde.org>

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev,
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.12.4)
Replaces: kdepim-addons (<< 17.12.4)
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.
