=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5pkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpim5pkpass5
Architecture: any
Multi-Arch: same
Depends: libkpim5pkpass-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

Package: libkpim5pkpass-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimpkpass5
Replaces: libkpimpkpass5
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.
