=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kpkpass
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
