## kpkpass 25.08.1

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-FileCopyrightText: 2018-2021 Volker Krause <vkrause@kde.org>
-# SPDX-FileCopyrightText: 2021-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2021-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
