## kpkpass 25.08.1+p24.04+vstable+git20250916.0148

=== debian/changelog ===
kpkpass (25.08.1+p24.04+vstable+git20250916.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:48:50 +0000
