## kpkpass 25.08.2+p24.04+vstable+git20251012.2349

=== debian/changelog ===
kpkpass (25.08.2+p24.04+vstable+git20251012.2349-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 23:49:14 +0000

kpkpass (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:30:34 +0000
