=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse,
               shared-mime-info (>= 1.3~)
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Git: https://invent.kde.org/neon/kde/kpkpass.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpkpass
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-pkpass
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpimpkpass5, libkpimpkpass6
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

Package: kpim6-pkpass-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-karchive-dev,
         kpim6-pkpass (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev,
         ${misc:Depends}
Replaces: libkpimpkpass-dev
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: all
Depends: kpim6-pkpass, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimpkpass6
Architecture: all
Depends: kpim6-pkpass, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimpkpass-dev
Architecture: all
Depends: kpim6-pkpass-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
